﻿<Window x:Class="SpacePirates.MainWindow"
        xmlns="http://schemas.microsoft.com/winfx/2006/xaml/presentation"
        xmlns:x="http://schemas.microsoft.com/winfx/2006/xaml"
        xmlns:d="http://schemas.microsoft.com/expression/blend/2008"
        xmlns:mc="http://schemas.openxmlformats.org/markup-compatibility/2006"
        xmlns:local="clr-namespace:SpacePirates"
        mc:Ignorable="d"
        Title="Space Pirates" 
        Height="450" 
        Width="800" 
        ResizeMode="CanMinimize">
    <Window.Background>
        <ImageBrush ImageSource="/s.jpg"/>
    </Window.Background>
    <Grid>
        <Image Source="/pandora.png" x:Name="img_pandora" Visibility="Hidden" Width="1400" Height="1000" Margin="-300 50 0 0" Stretch="Fill"/>
        <Image Source="/Planet-PNG-HD-Qy.png" x:Name="img_oreo" Visibility="Hidden" Width="1400" Height="1000" Margin="-300 90 0 0" Stretch="Fill"/>
        <Image Source="/dd.png" x:Name="img_mars" Visibility="Hidden" Width="1400" Height="1000" Margin="-300 250 0 0" Stretch="Fill"/>
        <Image Source="/ghfhj.png" x:Name="img_sirius" Visibility="Hidden" Width="1400" Height="1000" Margin="-300 70 0 0" Stretch="Fill"/>
        <Image Source="/Planet-PNG-HD-Qual.png" x:Name="img_blake" Visibility="Hidden" Width="1400" Height="1000" Margin="-300 90 0 0" Stretch="Fill"/>
        <Image x:Name="img_fire" Source="/fire.png" Height="420" 
        Width="800" Stretch="Fill" Visibility="Hidden"/>
        <Grid x:Name="gr_main">

            <TextBlock 
            FontFamily="Segoe UI Black" 
            FontSize="28" 
            HorizontalAlignment="Left" 
            Text="Trade market"
            Foreground="WhiteSmoke"
            Margin="50 20 0 0"
            x:Name="tb_title"
            Visibility="Hidden"/>
            <Image Source="/earth.png" Width="200" Height="200" Margin="0 -75 0 0" MouseDown="Stronghold_Click" Cursor="Hand"/>
            <Image Source="/pandora.png" Width="100" Height="100" Margin="-380 -40 0 0" MouseDown="Pandora_Click" Cursor="Hand"/>
            <Image Source="/dd.png" Width="100" Height="100" Margin="-590 180 0 0" MouseDown="Mars_Click" Cursor="Hand"/>
            <Image Source="/ghfhj.png" Width="150" Height="150" Margin="0 280 0 0" MouseDown="Sirius_Click" Cursor="Hand"/>
            <Image Source="/Planet-PNG-HD-Qual.png" Width="100" Height="100" Margin="380 -40 0 0" MouseDown="Blake_Click" Cursor="Hand"/>
            <Image Source="/Planet-PNG-HD-Qy.png" Width="150" Height="150" Margin="570 180 0 0" MouseDown="Oreo_Click" Cursor="Hand"/>
            <StackPanel x:Name="sp_upgrades" Margin="10 65 0 0" Visibility="Hidden">
                <StackPanel Orientation="Horizontal">
                    <TextBlock
                    x:Name="tb_blaster"
                    Width="30"
                    FontSize="20" 
                    Foreground="WhiteSmoke"/>
                    <TextBlock 
                    FontFamily="Segoe UI" 
                    FontSize="20" 
                    Foreground="WhiteSmoke"
                    Text="Lazer blaster"
                    Width="115"/>
                    <Button 
                    Width="60" 
                    Height="20"
                    Content="Upgrade"
                    Margin="10 0 0 0" 
                    Click="UpgradeBlaster_Click"/>
                </StackPanel>
                <StackPanel Orientation="Horizontal">
                    <TextBlock
                    x:Name="tb_spaceship"
                    Width="30"
                    FontSize="20" 
                    Foreground="WhiteSmoke"/>
                    <TextBlock 
                    FontFamily="Segoe UI" 
                    FontSize="20" 
                    Foreground="WhiteSmoke"
                    Text="Spaceship"
                    Width="115"/>
                    <Button 
                    Width="60" 
                    Height="20"
                    Content="Upgrade"
                    Margin="10 0 0 0"
                    Click="UpgradeSpaceship_Click"/>
                </StackPanel>
                <StackPanel Orientation="Horizontal">
                    <TextBlock
                    x:Name="tb_crew"
                    Width="30"
                    FontSize="20" 
                    Foreground="WhiteSmoke"/>
                    <TextBlock 
                    FontFamily="Segoe UI" 
                    FontSize="20" 
                    Foreground="WhiteSmoke"
                    Text="Crew"
                    Width="115"/>
                    <Button 
                    Width="60" 
                    Height="20"
                    Content="Upgrade"
                    Margin="10 0 0 0"
                    Click="UpgradeCrew_Click"/>
                    <Button 
                    Width="60" 
                    Height="20"
                    Content="Get Info"
                    Margin="10 0 0 0"
                    Click="GetCrewInfo_Click"/>
                </StackPanel>
            </StackPanel>
            <StackPanel x:Name="sp_images" HorizontalAlignment="Right" Visibility="Hidden">
                <Image Width="100" x:Name="img_blaster" Source="bad_blaster.png"/>
                <Image Width="100" x:Name="img_ship" Source="bad_ship.png"/>
                <Image Height="100" x:Name="img_crew" Source="bad_crew.png"/>
            </StackPanel>
            <Popup Placement="Center"
                       x:Name="PlanetPopup" 
                       PopupAnimation="Fade"
                       AllowsTransparency="True">
                <Border Background="#22202f" 
                            BorderBrush="Red" 
                            BorderThickness="2" 
                            CornerRadius="10"
                            Padding="10">
                    <Grid>
                        <Grid.RowDefinitions>
                            <RowDefinition/>
                            <RowDefinition/>
                        </Grid.RowDefinitions>
                        <TextBlock Foreground="White" 
                                   Text=""
                                   Grid.Row="0"
                               x:Name="tb_popup"/>
                        <StackPanel Margin="0 10 0 0" 
                                        Orientation="Horizontal" 
                                        Grid.Row="1">
                            <Button Margin="10 0 0 0" 
                                      Content="Ok" 
                                    Width="50"
                                    Click="Cancel_Click"
                                    />
                            <Button Margin="10 0 0 0" 
                                    Content="Travel" 
                                    Width="50"
                                    x:Name="btn_travel"/>

                        </StackPanel>
                    </Grid>
                </Border>
            </Popup>
        </Grid>
        <Grid x:Name="gr_pandora" Visibility="Hidden">
            <TextBlock Text="Pandora" FontSize="30" Foreground="WhiteSmoke" HorizontalAlignment="Center"/>
            <Button VerticalAlignment="Top" FontSize="20" Margin="10" Height="40" Width="80" HorizontalAlignment="Left" Content="Back" Click="Back_Click"/>
        </Grid>
        <Grid x:Name="gr_oreo" Visibility="Hidden">
            <TextBlock Text="Oreo" FontSize="30" Foreground="WhiteSmoke" HorizontalAlignment="Center"/>
            <Button VerticalAlignment="Top" FontSize="20" Margin="10" Height="40" Width="80" HorizontalAlignment="Left" Content="Back" Click="Back_Click"/>
        </Grid>
        <Grid x:Name="gr_mars" Visibility="Hidden">
            <TextBlock Text="Mars" FontSize="30" Foreground="WhiteSmoke" HorizontalAlignment="Center"/>
            <Button VerticalAlignment="Top" FontSize="20" Margin="10" Height="40" Width="80" HorizontalAlignment="Left" Content="Back" Click="Back_Click"/>
        </Grid>
        <Grid x:Name="gr_sirius" Visibility="Hidden">
            <TextBlock Text="Sirius" FontSize="30" Foreground="WhiteSmoke" HorizontalAlignment="Center"/>
            <Button VerticalAlignment="Top" FontSize="20" Margin="10" Height="40" Width="80" HorizontalAlignment="Left" Content="Back" Click="Back_Click"/>
        </Grid>
        <Grid x:Name="gr_blake" Visibility="Hidden">
            <TextBlock Text="Blake" FontSize="30" Foreground="WhiteSmoke" HorizontalAlignment="Center"/>
            <Button VerticalAlignment="Top" FontSize="20" Margin="10" Height="40" Width="80" HorizontalAlignment="Left" Content="Back" Click="Back_Click"/>
        </Grid>


    </Grid>
</Window>
